.ve-slide__product-tile {
    text-align: center;
    padding-bottom: 80px;
}

.ve-slide__product-tile:hover {
    position: relative;
    cursor: pointer;
    z-index: 2000;
    transition: z-index .1ms;
}

.ve-slide__tile_container {
    padding: 1.5rem;
}

.ve-slide__tile_content {
    display: flex;
    flex-direction: column-reverse;

    .ve-slide__tile_price {
        margin-top: 5px;
        font-weight: 600;

        .ve-slide__tile_price--old {
            text-decoration: line-through;
            color: #061208;
            font-weight: 300;
        }

        .ve-slide__tile_price--special {
            color: #3eb54c;
            font-weight: 500;
        }
    }
}

@media (min-width: 768px) {
    .ve-slide__product-tile .ve-slide__tile_addons {
        position: absolute;
        left: 0;
        z-index: -1;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        overflow: hidden;
        justify-content: center;
        background: #fff;
        border-radius: 4px;
        align-items: flex-end;
        opacity: 0;
        top: 0;
        padding: calc(100% + 9rem) 0 2.5rem;
        box-shadow: 0 0 2px rgba(0, 0, 0, .06), 0 8px 16px rgba(0, 0, 0, .12);
        transform: translate3d(0, -3rem, 0);
    }
}

.ve-slide__product-tile:hover .ve-slide__tile_addons {
    opacity: 1;
    transform: translateZ(0);
    transition: opacity .1s linear, transform .33s cubic-bezier(0,.66,.32,.99);
}

.ve-slide__product-tile .ve-slide__tile_addons .cs-product-tile__addtocart-button {
    border: 1px solid #3eb54c;
    background-color: #fff;
    margin: 28px 0 0 0;
    width: 99%;

    .cs-addtocart__button-label {
        color: #3eb54c;
    }

    .cs-addtocart__button-icon {
        display: none;
    }

    .cs-addtocart__button-label, .cs-addtocart__fail-label, .cs-addtocart__success-label {
        padding-right: 4.5rem;
        padding-left: 4.5rem;
    }
}

.ve-slide__product-tile .ve-slide__tile_addons .cs-product-tile__addtocart-button:hover {
    border: 1px solid #3eb54c;
    background-color: #3eb54c;

    .cs-addtocart__button-label {
        color: #fff;
    }
}

.cs-product-details__upsell-title {
    font-weight: 400;
    font-size: 14px;
    padding-bottom: 25px;
}

.upsell-container {
    .cs-product-item {
        padding-bottom: 25px;
        border-bottom: 1px solid #ecf8ed;
    }

    .cs-product-item:last-child {
        border-bottom: none;
    }

    .cs-product-item__row {
        display: flex;
        align-items: center;
    }

    .cs-product-item__thumbnail img {
        max-width: 70px;
        max-height: 90px;
        object-fit: contain;
    }

    .cs-product-item__details {
        padding: 13px 8px 0 17px;

        .cs-product-item__title span {
            font-size: 14px;
        }

        .cs-product-item__price {
            line-height: 2.2rem;
            font-size: 16px;

            .cs-product-item__price--old {
                text-decoration: line-through;
                padding-right: 6px;
            }

            .cs-product-item__price--special {
                color: #3eb54c;
                font-weight: 500;
            }

            .cs-product-item__price--regular {
                font-weight: 500;
                color: #222222;
            }
        }
    }

    .cs-product-item__actions {
        margin-left: auto;
        align-content: center;

        .cs-addtocart__button,
        .cs-addtocart__button:visited {
            border-radius: 30px;
            min-height: 50px;
            min-width: 51px;
        }

        .cs-addtocart__button:hover,
        .cs-addtocart__button:focus {
            background-color: #3eb54c;
            color: #ffffff;
        }
    }
}

@media (max-width: 768px) {
    .ve-slider-container .swiper-wrapper {
        margin: 0;
        padding: 0;
    }

    .ve-slide__product-tile {
        padding-bottom: 0;
    }

    .ve-slide__product-tile .ve-slide__tile_addons .cs-product-tile__addtocart-button {
        margin: 24px 0 0 0;
    }

    .ve-slide__product-tile .ve-slide__tile_addons .cs-product-tile__addtocart-button .cs-addtocart__button-label, .cs-addtocart__fail-label, .cs-addtocart__success-label {
        padding-right: 0;
        padding-left: 0;
    }
}
